Debian Bug report logs - #509446
live-initramfs: Support further checks on loopback image and support skipping union mounts

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Rene Mayrhofer <rene@mayrhofer.eu.org>

Date: Mon, 22 Dec 2008 14:18:01 UTC

Severity: wishlist

Tags: patch

Found in version live-initramfs/1.154.3-1

Fixed in version live-initramfs/1.154.4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#509446; Package live-initramfs. (Mon, 22 Dec 2008 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayrhofer <rene@mayrhofer.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 22 Dec 2008 14:18:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Mayrhofer <rene@mayrhofer.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: Support further checks on loopback image and support skipping union mounts
Date: Mon, 22 Dec 2008 15:14:57 +0100
[Message part 1 (text/plain, inline)]
Package: live-initramfs
Version: 1.154.3-1     
Severity: wishlist     
Tags: patch            

To use live-initramfs for the Gibraltar firewall distribution, I ported two 
missing features from my own mkinitrd-cd package to work as scripts/hooks 
within the initramfs-tools framework and plug into live-initramfs. Although 
most can be implemented this way, a minor patch is required for the "live" 
script to:
- Call another set of scripts after finding the loopback image that is about to 
be mounted but just before actually mounting it. This allows to perform 
further checks at this stage.
- Completely bypass the unionfs mounts so that this can be handled by custom 
distribution scripts during bootup. The reason is that even larger parts of 
the filesystem should remain read-only for security reasons.

The attached patch is quite minor and non-intrusive and will not change any 
current functionality when the added options are not used. Please consider 
applying it so that the Debian package can be used without further changes.

Thanks,
Rene

-- Package-specific info:

-- System Information:
Debian Release: 5.0   
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)                                         

Kernel: Linux 2.6.27-11-generic (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and 
embed
ii  file                          4.26-2     Determines file type using "magic"
ii  initramfs-tools               0.92n      tools for generating an initramfs
ii  sudo                          1.6.9p17-1 Provide limited super user 
privile
ii  udev                          0.125-7    /dev/ and hotplug management 
daemo
ii  user-setup                    1.23       Set up initial user and password

Versions of packages live-initramfs recommends:
pn  eject                         <none>     (no description available)
ii  uuid-runtime                  1.41.3-1   universally unique id library
ii  wget                          1.11.4-2   retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
ii  squashfs-tools                1:3.3-7    Tool to create and append to 
squas

-- no debconf information

[live.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#509446; Package live-initramfs. (Mon, 22 Dec 2008 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 22 Dec 2008 14:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 509446@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Rene Mayrhofer <rene@mayrhofer.eu.org>, 509446@bugs.debian.org
Subject: Re: Bug#509446: live-initramfs: Support further checks on loopback image and support skipping union mounts
Date: Mon, 22 Dec 2008 15:35:11 +0100
tags 509446 +pending
thanks

Rene Mayrhofer wrote:
> The attached patch is quite minor and non-intrusive and will not change any 
> current functionality when the added options are not used. Please consider 
> applying it so that the Debian package can be used without further changes.

thanks, applied. will upload once the previous version has migrated to
testing (in four days).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Dec 2008 14:36:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 26 Dec 2008 09:12:09 GMT) Full text and rfc822 format available.

Notification sent to Rene Mayrhofer <rene@mayrhofer.eu.org>:
Bug acknowledged by developer. (Fri, 26 Dec 2008 09:12:09 GMT) Full text and rfc822 format available.

Message #17 received at 509446-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 509446-close@bugs.debian.org
Subject: Bug#509446: fixed in live-initramfs 1.154.4-1
Date: Fri, 26 Dec 2008 09:02:03 +0000
Source: live-initramfs
Source-Version: 1.154.4-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.154.4-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.4-1.diff.gz
live-initramfs_1.154.4-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.154.4-1.dsc
live-initramfs_1.154.4-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.154.4-1_all.deb
live-initramfs_1.154.4.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 509446@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Dec 2008 09:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.154.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 509446
Changes: 
 live-initramfs (1.154.4-1) unstable; urgency=low
 .
   [ Rene Mayrhofer ]
   * Support further checks on loopback image and support skipping union
     mounts (Closes: #509446).
Checksums-Sha1: 
 ad957c4510c12b180f6f9c786f85fa05c741e9c7 1298 live-initramfs_1.154.4-1.dsc
 9b52cef8981daa21b756834b0e2e15563f04dd01 80001 live-initramfs_1.154.4.orig.tar.gz
 48f9a2872c492a6afb790f7f57e67ff219af5214 9989 live-initramfs_1.154.4-1.diff.gz
 bafcaa5eca94f61889e6dcce94a8bed6bb00472b 86418 live-initramfs_1.154.4-1_all.deb
Checksums-Sha256: 
 dc1f6fb5be9cb624ffb4367f5303fd6aaec78b3578ae7b727a618367d894e373 1298 live-initramfs_1.154.4-1.dsc
 59ac22dc9a7813961f1b49deff6819ec551863eed181dbb116bb1ccd3e53ea39 80001 live-initramfs_1.154.4.orig.tar.gz
 5dc2558ca74386e63bc4d0d178a331f1381e92e3f4511778be758401694be6d3 9989 live-initramfs_1.154.4-1.diff.gz
 cdc3020051cfca031f0b3daafdd827736c23aa21dab4df85ccca437fd93fc4ed 86418 live-initramfs_1.154.4-1_all.deb
Files: 
 2ba8024d25a8592f136f1b03852db5a4 1298 misc optional live-initramfs_1.154.4-1.dsc
 3c8f1a1644a16aefdc610a7777085a5d 80001 misc optional live-initramfs_1.154.4.orig.tar.gz
 ccb3dc7ebcfc5309a14ce9cfe7c64b1e 9989 misc optional live-initramfs_1.154.4-1.diff.gz
 cf6446c5d3c5eb36bdbb1f3ba22c1a94 86418 misc optional live-initramfs_1.154.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklUmlkACgkQ+C5cwEsrK5776wCg0aGGyUCEcNecuokbQ3qI++1b
/jYAn1olX51SUORZiZv7HGlDotOgwOjn
=Xobu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Jan 2009 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:49:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.